using System;
using System.Data.SqlClient;
using Municipalidad.Utils;
using Seguridad.DataAccess;
using Seguridad.DataSetFT;

namespace Seguridad.BusinessObjects
{
	/// <summary>
	/// Descripción breve de RlsSucursal.
	/// </summary>
	public class RlsSucursal
	{
		public RlsSucursal()
		{
			//
			// TODO: agregar aquí la lógica del constructor
			//
		}

		/// <summary>
		/// Busca las empresa que tiene el usuario
		/// </summary>
		/// <param name="idSistema">Identificador del Sistema</param>
		/// <returns>Data set con las Empresas</returns>
		public DSSucursal LoadSucursalAll(string idEmpresa, int idSistema)
		{
			//SqlConnection utilizado para ejecutar el SqlCommand
			SqlConnection connection = null;

			DSSucursal ds;
			
			try
			{
				//Abre la conexion
				connection = UtilsDB.GetConnection(UtilsConnectionManager.GetConnection(eConnectionString.Seguridad));

				Sucursal da = new Sucursal(connection);
				ds = da.SelectAll(idEmpresa, idSistema);
			}
			catch (SqlErrorException ex)
			{
				throw ex;
			}
			catch (Exception exc)
			{
				throw exc;
			}
			finally
			{
				if(connection != null)
					connection.Dispose();
			}

			return ds;
		}

	}
}
